<app-base-layout [enableMobileMenu]="true">
  <div class="portfolio-wrapper">
    <div class="portfolio-title d-md-none">Portfolio</div>

    <div class="container">
      <div class="row">
        <div class="col-12 col-md-8">
          <div class="separator" style="width: 100%; height: 10px"></div>
          <app-user-info-dropdown></app-user-info-dropdown>
          <div class="separator" style="width: 100%; height: 10px"></div>
          <app-market-open-card></app-market-open-card>
          <app-my-investment-card
            customer_invested_value="{{ this.customer_invested_value }}"
            customer_current_value="{{ this.customer_current_value }}"
            profit_loss_value="{{ this.profit_loss_value }}"
            profit_loss_per="{{ this.profit_loss_per }}"
            account_balance="{{ accountBalance }}"
          ></app-my-investment-card>

          <div class="chart-tab">
            <app-nav-tabs
              [tabs]="portfolioTabs"
              (onClick)="handleOnClick($event)"
            ></app-nav-tabs>
            <div class="tab-content" id="pills-tabContent">
              <div *ngIf="activePortfolioTab === 'Line_Chart'">
                <div class="charts">
                  <app-portfolio-chart
                    [label]="label"
                    [dataSets]="dataSets"
                    [months]="monthsInPerformanceCharts"
                    (handleMonthPerformance)="(handleMonthPerformance)"
                  >
                  </app-portfolio-chart>
                </div>
              </div>
              <div *ngIf="activePortfolioTab === 'Pie_Chart'">
                <div class="charts">
                  <app-pie-chart
                    class="card space"
                    [labelProps]="pieChartLabels"
                    [valueProps]="pieChartValues"
                  ></app-pie-chart>
                </div>
              </div>
            </div>
          </div>
          <div class="row my-3">
            <div class="col" style="align-self: center">
              <div class="heading">Invested Stocks</div>
            </div>
            <div class="col text-right">
              <button class="btn sort-btn" (click)="handleMobileSortOpen()">
                <img class="sort-icon" src="assets/icons/icon-sort-by.png" /> Sort
              </button>
            </div>
          </div>
          <div class="row my-3">
            <div
              class="col-lg-6 px-lg-3 mb-0 mb-lg-4"
              *ngFor="let item of myInvestementData"
            >
              <app-investment-info-card
                companyId="{{ item.companyId }}"
                quantity="{{ item.quantity }}"
                company_name="{{ item.name }}"
                current_price="{{ item.price }}"
                buy_price="{{ item.buyPrice }}"
                redirectUrl="details/{{ item.companyId }}"
                symbol="{{ item.symbol }}"
              >
              </app-investment-info-card>
            </div>
            <div class="text-center w-100 m-2">
              <button
                *ngIf="showLoadMore"
                type="button"
                class="btn btn-primary"
                (click)="get_my_investment()"
              >
                Load more
              </button>
            </div>
          </div>
        </div>
        <div class="d-none d-md-block col-md-4">
          <div class="news-warpper">
            <div class="row card-headers">
              <div class="separator" style="width: 100%; height: 20px"></div>
              <div class="col card-title">
                <span>Top global news</span>
              </div>
              <div class="col-auto card-action d-lg-inline d-none">
                <a routerLink="/account/news-articles">View all</a>
              </div>
              <div class="separator" style="width: 100%; height: 12px"></div>
            </div>
            <div class="card-group">
              <ng-container *ngFor="let item of newsList; let i = index">
                <div class="card" (click)="handleNewsClick(item)">
                  <div class="card-img-wrap">
                    <img
                      class="card-img-top"
                      [src]="item.image"
                      alt="news"
                    />
                  </div>
                  <div class="card-body">
                    <span class="card-title">{{ item.headline }}</span>
                    <div class="separator" style="width: 100%; height: 12px"></div>
                    <span class="card-text">{{ (item.summary.length > newSummarylength)? (item.summary | slice:0:newSummarylength)+'..':(item.summary) }} <a class="text-primary" (click)="handleNewsClick(item)">Read More</a></span>
                    <div class="separator" style="width: 100%; height: 12px"></div>
                    <span class="card-date"
                      >{{ item.createdAt | date: "hh:mm aa" }}</span
                    >
                  </div>
                </div>
                <div class="separator" style="width: 10px; height: 100%"></div>
              </ng-container>
            </div>
            <div class="separator" style="width: 100%; height: 10px"></div>
            <div class="mobile-btn-common card d-none">
              <button class="btn" routerLink="/account/news-articles">View all</button>
            </div>
          </div>
        </div>
      </div>


    </div>
  </div>

  <div class="row">
    <div class="col-lg-4 sort-wrapper">
      <div
        [ngClass]="{ 'mobile-sort-open': isMobileSortOpen }"
        (click)="handleMobileSortClose()"
        class="mobile-sort-backdrop"
      ></div>
      <div
        [ngClass]="{ 'mobile-sort-open': isMobileSortOpen }"
        class="mobile-sort-panel"
      >
        <div class="sort-title container">
          <div class="row align-items-center">
            <div class="col sort-heading">Sort</div>
            <div class="col-auto sort-title-action">
              <button
                class="btn btn-link btn-sort-close"
                (click)="handleMobileSortClose()"
              >
                <span aria-hidden="true">clear</span>
              </button>
            </div>
          </div>
        </div>

        <div class="sort-body">
          <div class="sort-category-wrapper">
            <div class="sort-category">
              <button (click)="handleSortClick('name')">
                <span>A-Z</span> <span>Alphabetical</span>
                <img
                  *ngIf="sortBy == 'name'"
                  [ngClass]="{ 'direction-arrow-rotate': sortDirection }"
                  class="direction-arrow"
                  src="assets/icons/icon-down-arrow.png"
                />
              </button>
              <button (click)="handleSortClick('return')">
                <span>%</span> <span>Return</span>
                <img
                  *ngIf="sortBy == 'return'"
                  [ngClass]="{ 'direction-arrow-rotate': sortDirection }"
                  class="direction-arrow"
                  src="assets/icons/icon-down-arrow.png"
                />
              </button>
              <button (click)="handleSortClick('amount_invested')">
                <span>Amt.</span> <span>Amount Invested</span
                ><img
                  *ngIf="sortBy == 'amount_invested'"
                  [ngClass]="{ 'direction-arrow-rotate': sortDirection }"
                  class="direction-arrow"
                  src="assets/icons/icon-down-arrow.png"
                />
              </button>
              <button (click)="handleSortClick('current_price')">
                <span>$</span> <span>Current Dollar Value</span
                ><img
                  *ngIf="sortBy == 'current_price'"
                  [ngClass]="{ 'direction-arrow-rotate': sortDirection }"
                  class="direction-arrow"
                  src="assets/icons/icon-down-arrow.png"
                />
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</app-base-layout>
